summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'www-apache/mod_transform-yacs')
-rw-r--r--www-apache/mod_transform-yacs/ChangeLog7
-rw-r--r--www-apache/mod_transform-yacs/Manifest12
-rw-r--r--www-apache/mod_transform-yacs/files/digest-mod_transform-yacs-0.6.0_pre200702183
-rw-r--r--www-apache/mod_transform-yacs/mod_transform-yacs-0.6.0_pre20070218.ebuild63
4 files changed, 85 insertions, 0 deletions
diff --git a/www-apache/mod_transform-yacs/ChangeLog b/www-apache/mod_transform-yacs/ChangeLog
new file mode 100644
index 0000000..d0c4e0d
--- /dev/null
+++ b/www-apache/mod_transform-yacs/ChangeLog
@@ -0,0 +1,7 @@
+# ChangeLog for www-apache/mod_transform-yacs
+# Copyright 1999-2007 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+ 18 Feb 2007; <trapni@gentoo.org> ChangeLog:
+ snapshot dump
+
diff --git a/www-apache/mod_transform-yacs/Manifest b/www-apache/mod_transform-yacs/Manifest
index c6f25bf..355b9a5 100644
--- a/www-apache/mod_transform-yacs/Manifest
+++ b/www-apache/mod_transform-yacs/Manifest
@@ -1,8 +1,20 @@
DIST yacs-0.6.0_pre20070208.tar.bz2 860956 RMD160 eb2f66fcd1e08b057a3aa6bc6d901c5c84088230 SHA1 16b1501b4e3605b240885884e3db5fce2ea66cd6 SHA256 1da5571e560865f5f6c3512e7fc4c74413cb61bf02daa255f38caff1605bbba9
+DIST yacs-0.6.0_pre20070218.tar.bz2 860886 RMD160 bda41e62e4630c9b10d83ece5ad70c8ae77dc284 SHA1 f6cb0d1d1a76c8efd6dea6fdc2b66361fe4c91be SHA256 bfab214aed89cc30cbf5673e1c7659f92bac6ab821b92d6da3c47b42d9280fa2
EBUILD mod_transform-yacs-0.6.0_pre20070208.ebuild 1579 RMD160 05550cfec7cbec24a99366b165e386476d55be37 SHA1 be9640f5be995937090463141f57f9bf8b6f0294 SHA256 ae820e577ce24fb64557327d732e1f7f248f5728a104c4fb67e9b872a8571913
MD5 4babe8d16ca91508820a8337b8b6f496 mod_transform-yacs-0.6.0_pre20070208.ebuild 1579
RMD160 05550cfec7cbec24a99366b165e386476d55be37 mod_transform-yacs-0.6.0_pre20070208.ebuild 1579
SHA256 ae820e577ce24fb64557327d732e1f7f248f5728a104c4fb67e9b872a8571913 mod_transform-yacs-0.6.0_pre20070208.ebuild 1579
+EBUILD mod_transform-yacs-0.6.0_pre20070218.ebuild 1617 RMD160 fd24659ab91a57332fc239d7d5615c11f0d245ac SHA1 312d0359763e8cdb5224dc762c58a990cdb6315f SHA256 f8a47040fac3f8a6c1bcfa72ef75e3b901d51e0229d585f123ef3721e3e7a605
+MD5 daea51c9392f996cb28951a8e8199fe6 mod_transform-yacs-0.6.0_pre20070218.ebuild 1617
+RMD160 fd24659ab91a57332fc239d7d5615c11f0d245ac mod_transform-yacs-0.6.0_pre20070218.ebuild 1617
+SHA256 f8a47040fac3f8a6c1bcfa72ef75e3b901d51e0229d585f123ef3721e3e7a605 mod_transform-yacs-0.6.0_pre20070218.ebuild 1617
+MISC ChangeLog 193 RMD160 b54385ea730132834365b108d74f92bcf72a466f SHA1 ed8a9131c9e16bc2e08c21570b45f3dd37eb0363 SHA256 979760fb74551143e188ae6cc65e85652806a1c7475f164a90d276f2b27440a6
+MD5 f5388c2556760e98ed1b77687c4e0a83 ChangeLog 193
+RMD160 b54385ea730132834365b108d74f92bcf72a466f ChangeLog 193
+SHA256 979760fb74551143e188ae6cc65e85652806a1c7475f164a90d276f2b27440a6 ChangeLog 193
MD5 0c32120f45e44d21c5a8b114e5c81222 files/digest-mod_transform-yacs-0.6.0_pre20070208 271
RMD160 ea9a3e4e3917d1038452f823fd4e495a237b6bfb files/digest-mod_transform-yacs-0.6.0_pre20070208 271
SHA256 425a3251b22d6c9adf2eea5ea139b5b4c203619ed24df81b04865b9a185591e2 files/digest-mod_transform-yacs-0.6.0_pre20070208 271
+MD5 eb077d5b5c5340eda5f4ce32e623792c files/digest-mod_transform-yacs-0.6.0_pre20070218 271
+RMD160 6a21a06b9e89d2bf4de971ec02335a4f1bbf12e4 files/digest-mod_transform-yacs-0.6.0_pre20070218 271
+SHA256 d2b554bf8c48a8cf1a903a7c863d2f5ec7621cae30bae1e2eac74f83c040b0db files/digest-mod_transform-yacs-0.6.0_pre20070218 271
diff --git a/www-apache/mod_transform-yacs/files/digest-mod_transform-yacs-0.6.0_pre20070218 b/www-apache/mod_transform-yacs/files/digest-mod_transform-yacs-0.6.0_pre20070218
new file mode 100644
index 0000000..9f5c729
--- /dev/null
+++ b/www-apache/mod_transform-yacs/files/digest-mod_transform-yacs-0.6.0_pre20070218
@@ -0,0 +1,3 @@
+MD5 4831c099c8dddb6f70b9c3a59d1a616e yacs-0.6.0_pre20070218.tar.bz2 860886
+RMD160 bda41e62e4630c9b10d83ece5ad70c8ae77dc284 yacs-0.6.0_pre20070218.tar.bz2 860886
+SHA256 bfab214aed89cc30cbf5673e1c7659f92bac6ab821b92d6da3c47b42d9280fa2 yacs-0.6.0_pre20070218.tar.bz2 860886
diff --git a/www-apache/mod_transform-yacs/mod_transform-yacs-0.6.0_pre20070218.ebuild b/www-apache/mod_transform-yacs/mod_transform-yacs-0.6.0_pre20070218.ebuild
new file mode 100644
index 0000000..b894609
--- /dev/null
+++ b/www-apache/mod_transform-yacs/mod_transform-yacs-0.6.0_pre20070218.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2005 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/dev-libs/swl/swl-0.4.0_rc5-r2.ebuild,v 1.2 2005/08/03 01:38:36 trapni Exp $
+
+inherit flag-o-matic multilib
+
+DESCRIPTION="mod_transform plugins for communicating with a YaCS server"
+HOMEPAGE="http://battousak.mylair.de/yacs/"
+SRC_URI="http://battousai.mylair.de/dist/yacs/yacs-${PV}.tar.bz2"
+LICENSE="LGPL-2.1"
+SLOT="0.6"
+KEYWORDS="~amd64 ~x86"
+IUSE="debug multislot"
+
+LAST_PV="0.6.0_pre20070208"
+RDEPEND=">=www-apache/mod_transform-0.7.0_pre20070204
+ >=dev-libs/libyacsclient-${LAST_PV}
+ >=dev-libs/libyacsutil-${LAST_PV}"
+
+DEPEND="${RDEPEND}"
+
+BASE_DIR=${BASE_DIR:-/usr}
+
+S="${WORKDIR}/yacs-${PV}"
+
+src_compile() {
+ use debug && append-flags -O0 -g3
+ use debug || append-flags -DNDEBUG=1
+
+ useq multislot && [[ $BASE_DIR = "/usr" ]] && BASE_DIR="${BASE_DIR}/yacs/${SLOT}"
+
+ einfo "Configuring for prefix ${BASE_DIR} ..."
+
+ ./autogen.sh || die "autogen.sh failed"
+
+ ./configure \
+ --prefix="${BASE_DIR}" \
+ --host="${CHOST}" \
+ --libdir="${BASE_DIR}/$(get_libdir)" \
+ --without-libyacsutil \
+ --disable-server \
+ --without-libyacsclient \
+ || die "./configure failed"
+
+ cd clients/${PN/yacs/plugins} || die
+
+ emake || die "make failed"
+}
+
+src_install() {
+ cd clients/${PN/yacs/plugins} || die
+
+ make install DESTDIR="${D}" || die
+
+ # cleanup unwanted files from plugin/module dirs
+ find ${D}/usr/lib/apache2/modules/mod_transform \( -name '*.a' -o -name '*.la' \) -exec rm -f {} \;
+
+# dodoc AUTHORS ChangeLog* NEWS README* TODO
+
+ true
+}
+
+# vim:ai:noet:ts=4:nowrap